Summary: Red Hat Sound Configuration tool
Name: sndconfig
Version: 0.19
Release: 1
Copyright: distributable
Group: Utilities/System
Source: sndconfig-%{PACKAGE_VERSION}.tar.gz
Requires: isapnptools
BuildRoot: /tmp/rhsound
ExclusiveArch: i386 

%changelog

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>

- fixed bug in reading current settings from conf.modules

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>

- fixed behavior to work with rhsound service
- added support for midi in conf.modules, isapnp.conf
- reduced duplicate info stored in /etc/sysconfig/sound

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>

- removed README's from tarball and coverted to buildroot

* Thu Oct 24 1997 Michael Fulbright <msf@redhat.com>

- added some docs on the sound modules

* Tue Oct 22 1997 Michael Fulbright <msf@redhat.com>

- changed sound sample to linux d00d instead of gorby d00d

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- fixed creation of temporary files to be more secure.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>

- added man page

* Fri Oct  3 1997 Michael Fulbright <msf@redhat.com>

- first version

%description
The Red Hat sound package includes the sndconfig tool whichs
is a text based sound configuration tool.  You can use
it to set the proper sound type for programs which use the
devices /dev/dsp, /dev/audio, and /dev/mixer.  Sound settings 
are saved via the use of aumix and sysV runlevel scripts.

Currently only supports sound blaster type cards.

%prep
%setup -n sndconfig

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
strip sndconfig

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/sndconfig
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m755 -o root -g root sndconfig $RPM_BUILD_ROOT/usr/sbin/sndconfig
install -m755 -o root -g root sbpnpprobe $RPM_BUILD_ROOT/usr/sbin/sbpnpprobe
cp -a sample.au $RPM_BUILD_ROOT/usr/share/sndconfig/sample.au
cp -a sndconfig.man $RPM_BUILD_ROOT/usr/man/man8/sndconfig.8
cp -a sbpnpprobe.man $RPM_BUILD_ROOT/usr/man/man8/sbpnpprobe.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/sndconfig
/usr/sbin/sbpnpprobe
/usr/share/sndconfig/sample.au
/usr/man/man8/sndconfig.8
/usr/man/man8/sbpnpprobe.8
